Get contact detail
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/contacts/{contact_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/contacts/{contact_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/contacts/{contact_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/contacts/{contact_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/contacts/{contact_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/contacts/{contact_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"signal": "NEVER_CONTACTED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"custom_fields": {},
"signal_override": "NEVER_CONTACTED",
"signal_computed_at": "2023-11-07T05:31:56Z",
"source_type": "<string>",
"source_name": "<string>",
"first_batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_touch_at": "2023-11-07T05:31:56Z",
"last_reply_at": "2023-11-07T05:31:56Z",
"last_open_at": "2023-11-07T05:31:56Z",
"campaign_count": 0,
"is_unsubscribed": false,
"is_bounced": false,
"tags": [
{
"tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"color": "<string>",
"category_group": "<string>",
"is_system": false,
"applied_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"campaign_names": [
"<string>"
],
"campaigns": [
{
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_name": "<string>",
"status": "<string>",
"sequence_step": 0,
"is_external": false,
"last_contacted_at": "2023-11-07T05:31:56Z",
"opened_at": "2023-11-07T05:31:56Z",
"replied_at": "2023-11-07T05:31:56Z",
"unsubscribed": false,
"created_at": "2023-11-07T05:31:56Z"
}
],
"is_suppressed": false,
"suppression_reason": "<string>"
},
"success": true,
"message": "Contact retrieved"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Contacts
Get contact detail
Get a single contact with its cross-campaign history
Returns the contact’s profile, signal, engagement rollups and tags, plus one entry per campaign membership with its per-campaign status and timing.
GET
/
api
/
public
/
v1
/
contacts
/
{contact_id}
Get contact detail
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/contacts/{contact_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/contacts/{contact_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/contacts/{contact_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/contacts/{contact_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/contacts/{contact_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/contacts/{contact_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"signal": "NEVER_CONTACTED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"custom_fields": {},
"signal_override": "NEVER_CONTACTED",
"signal_computed_at": "2023-11-07T05:31:56Z",
"source_type": "<string>",
"source_name": "<string>",
"first_batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_touch_at": "2023-11-07T05:31:56Z",
"last_reply_at": "2023-11-07T05:31:56Z",
"last_open_at": "2023-11-07T05:31:56Z",
"campaign_count": 0,
"is_unsubscribed": false,
"is_bounced": false,
"tags": [
{
"tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"color": "<string>",
"category_group": "<string>",
"is_system": false,
"applied_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"campaign_names": [
"<string>"
],
"campaigns": [
{
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_name": "<string>",
"status": "<string>",
"sequence_step": 0,
"is_external": false,
"last_contacted_at": "2023-11-07T05:31:56Z",
"opened_at": "2023-11-07T05:31:56Z",
"replied_at": "2023-11-07T05:31:56Z",
"unsubscribed": false,
"created_at": "2023-11-07T05:31:56Z"
}
],
"is_suppressed": false,
"suppression_reason": "<string>"
},
"success": true,
"message": "Contact retrieved"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key with format cs_live_xxx
Path Parameters
Was this page helpful?

